:root {
    --main-color: #F4CC72;
    --secondary-color: rgba(25, 25, 25, 1);
    --devider-color: #464646;
    --sub-color: rgba(196, 196, 196, 1);
    --dark-color: #000;
    --bg-dark-yellow: rgba(26, 26, 26, 1);

    --white-op-40: rgba(255, 255, 255, 0.4);
    --white-op-20: rgba(255, 255, 255, 0.2);
}

img {
    vertical-align: unset !important;
}

.fit-cover {
    object-fit: cover;
}

.fit-contain {
    object-fit: contain;
}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

.text-warning {
    color: var(--main-color) !important;
}

.bg-warning {
    background-color: var(--main-color) !important;
}

.bg-dark {
    background-color: black !important;
}

.bg-secondary {
    background-color: var(--secondary-color) !important;
}

.bg-gray-20 {
    background: var(--white-op-20);
}

.bg-dark-yellow {
    background-color: var(--bg-dark-yellow);
}

.text-secondary {
    color: var(--white-op-40) !important;
}

.text-sub {
    color: var(--sub-color) !important;
}

.text-justify {
    text-align: justify;
}

.b-auto {
    bottom: auto;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    background-color: var(--main-color);
}

#shop-location {
    height: 52.6%;
}

.border-bottom-primary {
    border-bottom: 1px solid var(--main-color) !important;
}

.divider-bottom-op25 {
    border-bottom: 1px solid rgb(84 84 88 / 25%) !important;
}

.modal-menu .btn-close {
    border-radius: 50%;
    background-size: 12px;
}

.slider--item {
    padding-bottom: 60px;
    height: 100%;
}

.swiper-fixed-width {
    overflow: unset;
    margin-left: unset;
}

.home--news-swipe .news-content {
    backdrop-filter: blur(12px);
    -webkit-backdrop-filter: blur(12px);
    margin-top: -30px;
}

.news-bg {
    background-color: #000000;
    height: unset !important;
}

.mh-60 {
    min-height: 60px;
}

.h-60 {
    height: 60px;
}

.h-80 {
    height: 80px;
}

.max-h-120 {
    max-height: 120px;
}

.slider--img {
    height: 330px;
    transition: 1s;
}

.product-detail--img {
    height: 430px;
    object-fit: cover;
}

.truncate {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
}

.truncate-1 {
    -webkit-line-clamp: 1;
}

.truncate-2 {
    -webkit-line-clamp: 2;
}

.truncate-3 {
    -webkit-line-clamp: 3;
}

.truncate-4 {
    -webkit-line-clamp: 4;
}

.swiper-pagination-bullet {
    background-color: rgba(255, 255, 255, 0.4);
    width: 20px;
    height: 2px;
    margin: 0 2px;
    border-radius: unset !important;
}

.swiper-pagination-bullet-active {
    background: var(--main-color) !important;
}

.title-line-row {
    width: 30px;
    height: 1px;
    background: linear-gradient(90deg, var(--main-color) 0%, rgba(244, 204, 114, 0) 100%);
}

.title-line-bottom .title-line-row {
    width: 55px;
}

.title-line-col {
    width: 1px;
    height: 30px;
    background: linear-gradient(180deg, var(--main-color) 0%, rgba(244, 204, 114, 0) 100%);
}

.bg-line-row-reverse {
    background: linear-gradient(90deg, rgba(244, 204, 114, 0) 0%, var(--main-color) 100%);
}

.bg-line-col-reverse {
    background: linear-gradient(0deg, rgba(244, 204, 114, 0) 0%, var(--main-color) 100%);
}

.home--collection .collection--title {
    padding: 12px;
}

.bg-filter-blur {
    backdrop-filter: blur(12px);
    -webkit-backdrop-filter: blur(12px);
}

.nav-tabs:not(.nav-tabs.nav-tabs-box) {
    border-bottom: 1px solid #464646 !important;
}

.nav-tabs:not(.nav-tabs.nav-tabs-box) .nav-link.active {
    color: var(--main-color);
    background-color: unset;
    border: unset;
}

.nav-tabs:not(.nav-tabs.nav-tabs-box) .nav-link.active:after {
    content: "";
    display: inline-block;
    width: 100%;
    height: 1px;
    position: absolute;
    bottom: 0;
    left: 0;
    background: var(--main-color);
    animation: wipe-to-right 1s;
}

.nav-tabs:not(.nav-tabs.nav-tabs-box) .nav-link:nth-child(1).active:after {
    content: "";
    display: inline-block;
    width: 100%;
    height: 1px;
    position: absolute;
    bottom: 0;
    right: 0;
    left: unset;
    background: var(--main-color);
    animation: wipe-to-right 1s;
}

.nav-tabs:not(.nav-tabs.nav-tabs-box) .nav-link:nth-child(1):not(.nav-link.active):after {
    content: "";
    display: inline-block;
    width: 0;
    height: 1px;
    position: absolute;
    bottom: 0;
    right: 0;
    background: var(--main-color);
    animation: wipe-to-right-off 1s;
}

.nav-tabs:not(.nav-tabs.nav-tabs-box) .nav-link:nth-child(2):not(.nav-link.active):after {
    content: "";
    display: inline-block;
    width: 0;
    height: 1px;
    position: absolute;
    bottom: 0;
    left: 0;
    background: var(--main-color);
    animation: wipe-to-right-off 1s;
}

.nav-tabs:not(.nav-tabs.nav-tabs-box) .nav-link:not(.nav-link.active) {
    color: white;
    border: unset;
}

.nav-tabs.nav-tabs-box .nav-link {
    transition: 0.1s;
    opacity: 0.6;
    width: 105px;
    height: auto;
    background: transparent;
    border: 1px solid var(--devider-color);
}

.nav-tabs.nav-tabs-box .nav-link.active {
    transition: 0.1s;
    opacity: 1;
    border: 1px solid var(--main-color);
}

.bg-cover {
    background-size: cover !important;
}

.bg-center {
    background-position: center center !important;
}

.bg-repeat-none {
    background-repeat: no-repeat !important;
}

.py-60 {
    padding-top: 60px;
    padding-bottom: 60px;
}

.py-30 {
    padding-top: 30px;
    padding-bottom: 30px;
}

.py-10 {
    padding-top: 10px;
    padding-bottom: 10px;
}

.p-32 {
    padding: 32px;
}

.pt-32 {
    padding-top: 32px;
}

.pt-40 {
    padding-top: 40px;
}

.pb-40 {
    padding-bottom: 40px;
}

.py-40 {
    padding-top: 40px;
    padding-bottom: 40px;
}

.py-20 {
    padding-top: 20px;
    padding-bottom: 20px;
}

.mb--6px {
    margin-bottom: -6px;
}

.mb-2px {
    margin-bottom: 2px;
}

.m-32 {
    margin: 32px;
}

.mt-20 {
    margin-top: 20px;
}

.top-10 {
    top: 10px;
}

.start-10 {
    left: 10px;
}

.bottom-10 {
    bottom: 10px;
}

.end-10 {
    right: 10px;
}

.h-unset {
    height: unset;
}

.detail--row:not(.detail--row:last-child) {
    border-bottom: 1px solid rgba(70, 70, 70, 0.5);
}

.border-secondary {
    border: 1px solid var(--devider-color);
}

.ellipse-toggle {
    width: 26px;
    height: 26px;
}

.variants--picker {
    width: 18px;
    height: 18px;
}

.variants--picker-review {
    border: 1px solid white;
    box-shadow: inset 0 0 0 3px var(--bs-dark);
}

.variants--selected {
    border: 1px solid white;
    box-shadow: inset 0 0 0 3px var(--bs-dark);
}

.detail--key {
    width: 120px;
}

.sapo-thumb {
    min-width: 154px;
}

.bg-origin-content-box {
    background-origin: content-box !important;
}

.delay-1s {
    animation-delay: 1s !important;
}

.fade-in {
    -webkit-animation: fade-in 3s;
    -o-animation: fade-in 3s;
    animation: fade-in 3s;
}

.fade-in-delay {
    -webkit-animation: fade-in-delay 3.5s;
    -o-animation: fade-in-delay 3.5s;
    animation: fade-in-delay 3.5s;
}

.fade-up {
    -webkit-animation: fade-up 1.5s;
    -o-animation: fade-up 1.5s;
    animation: fade-up 1.5s;
}

.fade-up-back {
    -webkit-animation: fade-up-back 1.5s;
    -o-animation: fade-up-back 1.5s;
    animation: fade-up-back 1.5s;
}

.zoom-in {
    -webkit-animation: zoom-in 2s;
    -o-animation: zoom-in 2s;
    animation: zoom-in 2s;
}

.z-index-1 {
    z-index: 1;
}

.z-index-1 {
    z-index: 2;
}

.z-index--1 {
    z-index: -1;
}

.shadow-inset-right {
    box-shadow: -8px 0 20px 12px #000000;
}

.box-2-rem {
    width: 2rem;
    height: 2rem;
}

@media (min-width: 768px) {
    .modal-dialog-scrollable .modal-body {
        overflow: hidden;
    }

    .modal-dialog-scrollable .modal-body:hover {
        overflow: auto;
    }
}
